( set-logic QF_AUFLIRA)
( set-info :smt-lib-version 2.0)
( declare-datatypes ()
  (
    ( RealTree ( Node ( left RealTree) ( elem Real) ( right RealTree))
      ( Leaf))))
( declare-fun SumTree ( RealTree) Real)
( declare-fun v1 () Real)
( declare-fun l1 () RealTree)
( declare-fun l4 () RealTree)
( declare-fun l2_1 () RealTree)
( declare-fun l2_2 () RealTree)
( declare-fun l3_1 () RealTree)
( declare-fun l3_2 () RealTree)
( assert ( = l3_1 ( Node l4 3.0 l4)))
( assert ( = l3_2 ( Node l4 3.0 l4)))
( assert ( = l2_1 ( Node l3_1 2.0 l3_2)))
( assert ( = l2_2 ( Node Leaf 2.0 Leaf)))
( assert ( = l1 ( Node l2_1 1.0 l2_2)))
( assert ( = ( SumTree l1) ( + ( SumTree l2_1) 3.0)))
( assert
  ( = ( SumTree l1)
    ( ite ( is-Leaf l1) 0.0
      ( + ( SumTree ( left l1)) ( elem l1) ( SumTree ( right l1))))))
( assert
  ( = ( SumTree l2_1)
    ( ite ( is-Leaf l2_1) 0.0
      ( + ( SumTree ( left l2_1)) ( elem l2_1)
        ( SumTree ( right l2_1))))))
( assert
  ( = ( SumTree ( left l1))
    ( ite ( is-Leaf ( left l1)) 0.0
      ( + ( SumTree ( left ( left l1))) ( elem ( left l1))
        ( SumTree ( right ( left l1)))))))
( assert
  ( = ( SumTree ( right l1))
    ( ite ( is-Leaf ( right l1)) 0.0
      ( + ( SumTree ( left ( right l1))) ( elem ( right l1))
        ( SumTree ( right ( right l1)))))))
( assert
  ( = ( SumTree ( left l2_1))
    ( ite ( is-Leaf ( left l2_1)) 0.0
      ( + ( SumTree ( left ( left l2_1))) ( elem ( left l2_1))
        ( SumTree ( right ( left l2_1)))))))
( assert
  ( = ( SumTree ( right l2_1))
    ( ite ( is-Leaf ( right l2_1)) 0.0
      ( + ( SumTree ( left ( right l2_1))) ( elem ( right l2_1))
        ( SumTree ( right ( right l2_1)))))))
( assert
  ( = ( SumTree ( left ( left l1)))
    ( ite ( is-Leaf ( left ( left l1))) 0.0
      ( + ( SumTree ( left ( left ( left l1))))
        ( elem ( left ( left l1)))
        ( SumTree ( right ( left ( left l1))))))))
( assert
  ( = ( SumTree ( right ( left l1)))
    ( ite ( is-Leaf ( right ( left l1))) 0.0
      ( + ( SumTree ( left ( right ( left l1))))
        ( elem ( right ( left l1)))
        ( SumTree ( right ( right ( left l1))))))))
( assert
  ( = ( SumTree ( left ( right l1)))
    ( ite ( is-Leaf ( left ( right l1))) 0.0
      ( + ( SumTree ( left ( left ( right l1))))
        ( elem ( left ( right l1)))
        ( SumTree ( right ( left ( right l1))))))))
( assert
  ( = ( SumTree ( right ( right l1)))
    ( ite ( is-Leaf ( right ( right l1))) 0.0
      ( + ( SumTree ( left ( right ( right l1))))
        ( elem ( right ( right l1)))
        ( SumTree ( right ( right ( right l1))))))))
( assert
  ( = ( SumTree ( left ( left l2_1)))
    ( ite ( is-Leaf ( left ( left l2_1))) 0.0
      ( + ( SumTree ( left ( left ( left l2_1))))
        ( elem ( left ( left l2_1)))
        ( SumTree ( right ( left ( left l2_1))))))))
( assert
  ( = ( SumTree ( right ( left l2_1)))
    ( ite ( is-Leaf ( right ( left l2_1))) 0.0
      ( + ( SumTree ( left ( right ( left l2_1))))
        ( elem ( right ( left l2_1)))
        ( SumTree ( right ( right ( left l2_1))))))))
( assert
  ( = ( SumTree ( left ( right l2_1)))
    ( ite ( is-Leaf ( left ( right l2_1))) 0.0
      ( + ( SumTree ( left ( left ( right l2_1))))
        ( elem ( left ( right l2_1)))
        ( SumTree ( right ( left ( right l2_1))))))))
( assert
  ( = ( SumTree ( right ( right l2_1)))
    ( ite ( is-Leaf ( right ( right l2_1))) 0.0
      ( + ( SumTree ( left ( right ( right l2_1))))
        ( elem ( right ( right l2_1)))
        ( SumTree ( right ( right ( right l2_1))))))))
( assert
  ( = ( SumTree ( left ( left ( left l1))))
    ( ite ( is-Leaf ( left ( left ( left l1)))) 0.0
      ( + ( SumTree ( left ( left ( left ( left l1)))))
        ( elem ( left ( left ( left l1))))
        ( SumTree ( right ( left ( left ( left l1)))))))))
( assert
  ( = ( SumTree ( right ( left ( left l1))))
    ( ite ( is-Leaf ( right ( left ( left l1)))) 0.0
      ( + ( SumTree ( left ( right ( left ( left l1)))))
        ( elem ( right ( left ( left l1))))
        ( SumTree ( right ( right ( left ( left l1)))))))))
( assert
  ( = ( SumTree ( left ( right ( left l1))))
    ( ite ( is-Leaf ( left ( right ( left l1)))) 0.0
      ( + ( SumTree ( left ( left ( right ( left l1)))))
        ( elem ( left ( right ( left l1))))
        ( SumTree ( right ( left ( right ( left l1)))))))))
( assert
  ( = ( SumTree ( right ( right ( left l1))))
    ( ite ( is-Leaf ( right ( right ( left l1)))) 0.0
      ( + ( SumTree ( left ( right ( right ( left l1)))))
        ( elem ( right ( right ( left l1))))
        ( SumTree ( right ( right ( right ( left l1)))))))))
( assert
  ( = ( SumTree ( left ( left ( right l1))))
    ( ite ( is-Leaf ( left ( left ( right l1)))) 0.0
      ( + ( SumTree ( left ( left ( left ( right l1)))))
        ( elem ( left ( left ( right l1))))
        ( SumTree ( right ( left ( left ( right l1)))))))))
( assert
  ( = ( SumTree ( right ( left ( right l1))))
    ( ite ( is-Leaf ( right ( left ( right l1)))) 0.0
      ( + ( SumTree ( left ( right ( left ( right l1)))))
        ( elem ( right ( left ( right l1))))
        ( SumTree ( right ( right ( left ( right l1)))))))))
( assert
  ( = ( SumTree ( left ( right ( right l1))))
    ( ite ( is-Leaf ( left ( right ( right l1)))) 0.0
      ( + ( SumTree ( left ( left ( right ( right l1)))))
        ( elem ( left ( right ( right l1))))
        ( SumTree ( right ( left ( right ( right l1)))))))))
( assert
  ( = ( SumTree ( right ( right ( right l1))))
    ( ite ( is-Leaf ( right ( right ( right l1)))) 0.0
      ( + ( SumTree ( left ( right ( right ( right l1)))))
        ( elem ( right ( right ( right l1))))
        ( SumTree ( right ( right ( right ( right l1)))))))))
( assert
  ( = ( SumTree ( left ( left ( left l2_1))))
    ( ite ( is-Leaf ( left ( left ( left l2_1)))) 0.0
      ( + ( SumTree ( left ( left ( left ( left l2_1)))))
        ( elem ( left ( left ( left l2_1))))
        ( SumTree ( right ( left ( left ( left l2_1)))))))))
( assert
  ( = ( SumTree ( right ( left ( left l2_1))))
    ( ite ( is-Leaf ( right ( left ( left l2_1)))) 0.0
      ( + ( SumTree ( left ( right ( left ( left l2_1)))))
        ( elem ( right ( left ( left l2_1))))
        ( SumTree ( right ( right ( left ( left l2_1)))))))))
( assert
  ( = ( SumTree ( left ( right ( left l2_1))))
    ( ite ( is-Leaf ( left ( right ( left l2_1)))) 0.0
      ( + ( SumTree ( left ( left ( right ( left l2_1)))))
        ( elem ( left ( right ( left l2_1))))
        ( SumTree ( right ( left ( right ( left l2_1)))))))))
( assert
  ( = ( SumTree ( right ( right ( left l2_1))))
    ( ite ( is-Leaf ( right ( right ( left l2_1)))) 0.0
      ( + ( SumTree ( left ( right ( right ( left l2_1)))))
        ( elem ( right ( right ( left l2_1))))
        ( SumTree ( right ( right ( right ( left l2_1)))))))))
( assert
  ( = ( SumTree ( left ( left ( right l2_1))))
    ( ite ( is-Leaf ( left ( left ( right l2_1)))) 0.0
      ( + ( SumTree ( left ( left ( left ( right l2_1)))))
        ( elem ( left ( left ( right l2_1))))
        ( SumTree ( right ( left ( left ( right l2_1)))))))))
( assert
  ( = ( SumTree ( right ( left ( right l2_1))))
    ( ite ( is-Leaf ( right ( left ( right l2_1)))) 0.0
      ( + ( SumTree ( left ( right ( left ( right l2_1)))))
        ( elem ( right ( left ( right l2_1))))
        ( SumTree ( right ( right ( left ( right l2_1)))))))))
( assert
  ( = ( SumTree ( left ( right ( right l2_1))))
    ( ite ( is-Leaf ( left ( right ( right l2_1)))) 0.0
      ( + ( SumTree ( left ( left ( right ( right l2_1)))))
        ( elem ( left ( right ( right l2_1))))
        ( SumTree ( right ( left ( right ( right l2_1)))))))))
( assert
  ( = ( SumTree ( right ( right ( right l2_1))))
    ( ite ( is-Leaf ( right ( right ( right l2_1)))) 0.0
      ( + ( SumTree ( left ( right ( right ( right l2_1)))))
        ( elem ( right ( right ( right l2_1))))
        ( SumTree ( right ( right ( right ( right l2_1)))))))))
( assert ( not ( not ( is-Leaf ( left ( left ( left l1)))))))
( assert ( not ( not ( is-Leaf ( right ( left ( left l1)))))))
( assert ( not ( not ( is-Leaf ( left ( right ( left l1)))))))
( assert ( not ( not ( is-Leaf ( right ( right ( left l1)))))))
( assert ( not ( not ( is-Leaf ( left ( left ( right l1)))))))
( assert ( not ( not ( is-Leaf ( right ( left ( right l1)))))))
( assert ( not ( not ( is-Leaf ( left ( right ( right l1)))))))
( assert ( not ( not ( is-Leaf ( right ( right ( right l1)))))))
( assert ( not ( not ( is-Leaf ( left ( left ( left l2_1)))))))
( assert ( not ( not ( is-Leaf ( right ( left ( left l2_1)))))))
( assert ( not ( not ( is-Leaf ( left ( right ( left l2_1)))))))
( assert ( not ( not ( is-Leaf ( right ( right ( left l2_1)))))))
( assert ( not ( not ( is-Leaf ( left ( left ( right l2_1)))))))
( assert ( not ( not ( is-Leaf ( right ( left ( right l2_1)))))))
( assert ( not ( not ( is-Leaf ( left ( right ( right l2_1)))))))
( assert ( not ( not ( is-Leaf ( right ( right ( right l2_1)))))))
(check-sat)
(exit)
